Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.getcoverage
Class AxisSubset

    java.lang.Object
      org.deegree.datatypes.values.ValueEnumBase
          org.deegree.ogcwebservices.wcs.getcoverage.AxisSubset

All Implemented Interfaces:
  Serializable

    public class AxisSubset

extends ValueEnumBase

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`AxisSubset(Interval[] interval, String name)`
`AxisSubset(Interval[] interval, TypedLiteral[] singleValue, String name)`
`AxisSubset(TypedLiteral[] singleValue, String name)`

Method Summary
`String` | `getName()`

Methods inherited from class org.deegree.datatypes.values.ValueEnumBase
`getInterval, getSingleValue, setInterval, setSingleValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisSubset

    public AxisSubset(Interval[] interval,
                      String name)
               throws IllegalArgumentException

Parameters:
  `interval` -
  `name` -
Throws:
  `IllegalArgumentException`

### AxisSubset

    public AxisSubset(TypedLiteral[] singleValue,
                      String name)
               throws IllegalArgumentException

Parameters:
  `singleValue` -
  `name` -
Throws:
  `IllegalArgumentException`

### AxisSubset

    public AxisSubset(Interval[] interval,
                      TypedLiteral[] singleValue,
                      String name)
               throws IllegalArgumentException

Parameters:
  `interval` -
  `singleValue` -
  `name` -
Throws:
  `IllegalArgumentException`

Method Detail

### getName

    public String getName()

  Returns:
    Returns the name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org